MAN(1)

NAVN
man - an interface to the system reference manuals

SYNOPSIS
man [man options] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [man options] [section] term ...
man -k [apropos tilvalg] regexp ...
man -l [man options] file ...
man -w|-W [man options] page ...

BESKRIVELSE
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order (see DEFAULTS), and to show only the first page found, even if page exists in several sections. Tabellen nedenfor viser section-antallet af manualen efterfulgt af typen af sider de indeholder.
1 | Kørbare programmer eller skalkommandoer
2 | Systemkald (funktioner stillet til rådighed af kernen)
3 | Bibliotekskald (funktioner i programbiblioteker)
4 | Specielle filer (normalt fundet i /dev)
5 | File formats and conventions, e.g. /etc/passwd
6 | Spil
7 | Diverse (inklusive makropakker og konventioner), f.eks. man(7), groff(7)
8 | Kommandoer til systemadministration (normalt kun for root)
9 | Kernerutiner [Ikkestandard]
En manualside består af flere afsnit. Konventionelle afsnitsnavne inkluderer NAVN, SYNOPSIS, KONFIGURATION, BESKRIVELSE, TILVALG, AFSLUT-STATUS, RETURVÆRDI, FEJL, MILJØ, FILER, VERSIONER, KONFORMERER TIL, NOTER, FEJL, EKSEMPEL, FORFATTERE, og SE OGSÅ. De følgende konventioner gælder for afsnittet SYNOPSIS og kan bruges som en vejledning i andre afsnit.
fed tekst | skriv præcis som vist.
kursiv | erstat med passende argument.
[-abc] | et eller alle argumenter inden i [ ] er valgfrie.
-a|-b | tilvalg afgrænset af | kan ikke bruges sammen.
argument ... | argument kan gentages.
[udtryk] ... | hele udtrykket indenfor [ ] kan gentages.
Præcis optegning kan afhænge af uddataenheden. For eksempel vil man normalt ikke kunne optegne kursiv når man befinder sig i en manual, og man vil normalt bruge understregning eller farvelagt tekst i stedet for. The command or function illustration is a pattern that should match all possible invocations. In some cases it is advisable to illustrate several exclusive invocations as is shown in the SYNOPSIS section of this manual page.

EKSEMPLER

man ls
    Vis manualsiden for punkt (program) ls.

man man.7
    Display the manual page for macro package man from section 7. (This is an alternative spelling of "man 7 man".)

man 'man(7)'
    Display the manual page for macro package man from section 7. (This is another alternative spelling of "man 7 man". It may be more convenient when copying and pasting cross-references to manual pages. Note that the parentheses must normally be quoted to protect them from the shell.)

man -a intro
    Vis, i rækkefølge, alle de tilgængelige intro-manualsider indeholdt i denne manual. Det er muligt at afbryde mellem successive visninger eller udelade nogle af dem.

man -t bash | lpr -Pps
    Format the manual page for bash into the default troff or groff format and pipe it to the printer named ps. The default output for groff is usually PostScript. man --help should advise as to which processor is bound to the -t option.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    This command will decompress and format the nroff source manual page ./foo.1x.gz into a device independent (dvi) file. The redirection is necessary as the -T flag causes output to be directed to stdout with no pager. The output could be viewed with a program such as xdvi or further processed into PostScript using a program such as dvips.

man -k printf
    Søg i de korte beskrivelser og navnene på manualsiderne for nøgleordet printf som regulært udtryk. Udskriv resultaterne. Svarer til apropos printf.

man -f smail
    Slå manualsiderne refereret af smail op og vis den korte beskrivelse for det fundne resultat. Svarer til whatis smail.

OVERBLIK
Mange tilvalg er tilgængelige for man for at give så meget fleksibilitet som muligt for slutbrugeren. Ændringer kan ske for søgestien, afsnitrækkefølge, uddataprocessor og anden opførsel og operationer detaljeret nedenfor. If set, various environment variables are interrogated to determine the operation of man. It is possible to set the "catch-all" variable $MANOPT to any string in command line format, with the exception that any spaces used as part of an option's argument must be escaped (preceded by a backslash). man will parse $MANOPT prior to parsing its own command line. Those options requiring an argument will be overridden by the same options found on the command line. To reset all of the options set in $MANOPT, -D can be specified as the initial command line option. This will allow man to "forget" about the options specified in $MANOPT, although they must still have been valid. Manual pages are normally stored in nroff(1) format under a directory such as /usr/share/man. In some installations, there may also be preformatted cat pages to improve performance. See manpath(5) for details of where these files are stored. This package supports manual pages in multiple languages, controlled by your locale. If your system did not set this up for you automatically, then you may need to set $LC_MESSAGES, $LANG, or another system-dependent environment variable to indicate your preferred locale, usually specified in the POSIX format: <language>[_<territory>[.<tegnsæt>[,<version>]]] Hvis den ønskede side er tilgængelig i dit sprog, vil den blive vist i stedet for standardsiden (normalt amerikansk-engelsk). If you find that the translations supplied with this package are not available in your native language and you would like to supply them, please contact the maintainer who will be coordinating such activity. Individual manual pages are normally written and maintained by the maintainers of the program, function, or other topic that they document, and are not included with this package. If you find that a manual page is missing or inadequate, please report that to the maintainers of the package in question. For information om andre funktioner og udvidelser tilgængelige med denne manualtekstviser, så læs venligst dokumenterne leveret med denne pakke.

STANDARDER
The order of sections to search may be overridden by the environment variable $MANSECT or by the SECTION directive in /etc/man_db.conf. By default it is as follows:
    1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x
The formatted manual page is displayed using a pager. This can be specified in a number of ways, or else will fall back to a default (see option -P for details). Filtrene tydes vis et antal metoder. Først tydes kommandolinjetilvalget -p eller miljøvariablen $MANROFFSEQ. Hvis -p ikke blev brugt og miljøvariablen ikke var angivet, så fortolkes opstartslinjen for nroff-filen for en forbrænderstrenge. For at indeholde en gyldig forbrænderstreng, så skal den første linje ligne '\" <string> Hvor streng kan være enhver kombination af bogstaver beskrevet af tilvalget -p nedenfor. Hvis ingen af de ovenstående metoder giver filterinformation, så bruges et standardsæt. A formatting pipeline is formed from the filters and the primary formatter (nroff or [tg]roff with -t) and executed. Alternatively, if an executable program mandb_nfmt (or mandb_tfmt with -t) exists in the man tree root, it is executed instead. It gets passed the manual source file, the preprocessor string, and optionally the device specified with -T or -E as arguments.

TILVALG
Non-argument options that are duplicated either on the command line, in $MANOPT, or both, are not harmful. For options that require an argument, each duplication will override the previous argument value.

  Generelle tilvalg

-C fil, --config-file=fil
    Brug denne brugerkonfigurationsfil frem for standarden ~/.manpath.

-d, --debug
    Vis fejlsøgningsinformation.

-D, --default
    Dette tilvalg udstedes normalt som det første tilvalg og nulstiller man's opførsel til standarden. Dets brug er at nulstille disse tilvalg, som måske er angivet i $MANOPT. Ethvert tilvalg som følger -D vil have deres normale effekt.

--warnings[=advarsler]
    Aktiver advarsler fra groff. Dette kan gøres for at udføre sanitetskontrol på kildetekst for manualsider. advarsler er en kommaadskilt liste med advarselsnavne; hvis den ikke er angivet, er standarden »mac«. Se “Warnings” node i info groff for en liste over tilgængelige advarselsnavne.

  Hovedtilstande for operation

-f, --whatis
    Svarer til whatis. Vis en kort beskrivelse fra manualsiden, hvis tilgængelig. Se whatis(1) for detaljer.

-k, --apropos
    Svarer til apropos. Søg i de korte manualsidebeskrivelser for nøgleord og vis alle match. Se apropos(1) for detaljer.

-K, --global-apropos
    Search for text in all manual pages. This is a brute-force search, and is likely to take some time; if you can, you should specify a section to reduce the number of pages that need to be searched. Search terms may be simple strings (the default), or regular expressions if the --regex option is used.

    Note that this searches the sources of the manual pages, not the rendered text, and so may include false positives due to things like comments in source files. Searching the rendered text would be much slower.

-l, --local-file
    Activate "local" mode. Format and display local manual files instead of searching through the system's manual collection. Each manual page argument will be interpreted as an nroff source file in the correct format. No cat file is produced. If '-' is listed as one of the arguments, input will be taken from stdin. When this option is not used, and man fails to find the page required, before displaying the error message, it attempts to act as if this option was supplied, using the name as a filename and looking for an exact match.

-w, --where, --path, --location
    Don't actually display the manual page, but do print the location of the source nroff file that would be formatted. If the -a option is also used, then print the locations of all source files that match the search criteria.

-W, --where-cat, --location-cat
    Don't actually display the manual page, but do print the location of the preformatted cat file that would be displayed. If the -a option is also used, then print the locations of all preformatted cat files that match the search criteria.

    If -w and -W are both used, then print both source file and cat file separated by a space. If all of -w, -W, and -a are used, then do this for each possible match.

-c, --catman
    Dette tilvalg er ikke for generel brug og bør kun bruges af programmet catman.

-R kodning, --recode=kodning
    Instead of formatting the manual page in the usual way, output its source converted to the specified encoding. If you already know the encoding of the source file, you can also use manconv(1) directly. However, this option allows you to convert several manual pages to a single encoding without having to explicitly state the encoding of each, provided that they were already installed in a structure similar to a manual page hierarchy.

    Consider using man-recode(1) instead for converting multiple manual pages, since it has an interface designed for bulk conversion and so can be much faster.

  Finde manualsider

-L sprog, --locale=sprog
    man vil normalt bestemme dit lokale sprog med et kald til C-funktionen setlocale(3), som undersøger diverse miljøvariabler, muligvis inklusive $LC_MESSAGES og $LANG. For midlertidigt at overskrive den afslørede værdi bruges dette tilvalg til at supplere en sprog-streng direkte til man. Bemærk at det ikke vil træde i kraft før søgningen efter sider rent faktisk begynder. Resultatet såsom hjælpebeskeden vil altid blive vist i det oprindeligt bestemte sprog.

-m system[,...], --systems=system[,...]
    Hvis dette system har adgang til andre operativsystemers manualsider, så kan de tilgås med dette tilvalg. For at søge efter en manualside fra NytOS's manualsidesamling bruges tilvalget -m NytOS. Det angivet system kan være en kombination af kommaadskilt operativsystemnavne. For at inkludere en søgning i manualsiderne for udgangspunktets operativsystem inkluderes systemnavnet man i argumentstrengen. Dette tilvalg vil overskrive miljøvariablen $SYSTEM.

-M sti, --manpath=sti
    Angiv en alternativ manualsti. Som standard bruger man manpath-afledt kode til at bestemme søgestien. Dette tilvalg overskriver miljøvariablen $MANPATH og medfører at tilvalget -m ignoreres. A path specified as a manpath must be the root of a manual page hierarchy structured into sections as described in the man-db manual (under "The manual page system"). To view manual pages outside such hierarchies, see the -l option.

-S list, -s list, --sections=list
    The given list is a colon- or comma-separated list of sections, used to determine which manual sections to search and in what order. This option overrides the $MANSECT environment variable. (The -s spelling is for compatibility with System V.)

-e sub-extension, --extension=sub-extension
    Some systems incorporate large packages of manual pages, such as those that accompany the Tcl package, into the main manual page hierarchy. To get around the problem of having two manual pages with the same name such as exit(3), the Tcl pages were usually all assigned to section l. As this is unfortunate, it is now possible to put the pages in the correct section, and to assign a specific "extension" to them, in this case, exit(3tcl). Under normal operation, man will display exit(3) in preference to exit(3tcl). To negotiate this situation and to avoid having to know which section the page you require resides in, it is now possible to give man a sub-extension string indicating which package the page must belong to. Using the above example, supplying the option -e tcl to man will restrict the search to pages having an extension of *tcl.

-i, --ignore-case
    Ignore case when searching for manual pages. This is the default.

-I, --match-case
    Search for manual pages case-sensitively.

--regex
    Show all pages with any part of either their names or their descriptions matching each page argument as a regular expression, as with apropos(1). Since there is usually no reasonable way to pick a "best" page when searching for a regular expression, this option implies -a.

--wildcard
    Show all pages with any part of either their names or their descriptions matching each page argument using shell-style wildcards, as with apropos(1) --wildcard. The page argument must match the entire name or description, or match on word boundaries in the description. Since there is usually no reasonable way to pick a "best" page when searching for a wildcard, this option implies -a.

--names-only
    Hvis enten tilvalget --regex eller --wildcard bruges, match kun sidenavne, ikke sidebeskrivelser, som med whatis(1). Ellers, ingen effekt.

-a, --all
    Som standard vil man afslutte efter visning af den mest egnet manualside den finder. Brug af dette tilvalg tvinger man til at vise alle manualsiderne med navne som matcher søgekriteriet.

-u, --update
    This option causes man to update its database caches of installed manual pages. This is only needed in rare situations, and it is normally better to run mandb(8) instead.

--no-subpages
    By default, man will try to interpret pairs of manual page names given on the command line as equivalent to a single manual page name containing a hyphen or an underscore. This supports the common pattern of programs that implement a number of subcommands, allowing them to provide manual pages for each that can be accessed using similar syntax as would be used to invoke the subcommands themselves. For example:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    For at deaktivere denne opførsel så brug tilvalget --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Kontrol af formateret resultat

-P tekstviser, --pager=tekstviser
    Specify which output pager to use. By default, man uses less, falling back to cat if less is not found or is not executable. This option overrides the $MANPAGER environment variable, which in turn overrides the $PAGER environment variable. It is not used in conjunction with -f or -k. The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

-r prompt, --prompt=prompt
    Hvis en nylig version af less bruges som tekstsøger, så vil man forsøge at angive den på sin prompt og vælge nogle fornuftige tilvalg. Standardprompten ser således ud Manualside navn(sec) line x hvor navn benvæner manualsidenavnet, sektion benævner sektionen den blev fundet under og x det nuværende linjenummer. Dette opnås ved at bruge miljøvariablen $LESS. Supplying -r with a string will override this default. The string may contain the text $MAN_PN which will be expanded to the name of the current manual page and its section name surrounded by "(" and ")". The string used to produce the default could be expressed as \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    (tryk h for hjælp eller q for afslut) It is broken into three lines here for the sake of readability only. For its meaning see the less(1) manual page. The prompt string is first evaluated by the shell. All double quotes, back-quotes and backslashes in the prompt must be escaped by a preceding backslash. The prompt string may end in an escaped $ which may be followed by further options for less. By default man sets the -ix8 options. The $MANLESS environment variable described below may be used to set a default prompt string if none is supplied on the command line.

-7, --ascii
    When viewing a pure ascii(7) manual page on a 7 bit terminal or terminal emulator, some characters may not display correctly when using the latin1(7) device description with GNU nroff. This option allows pure ascii manual pages to be displayed in ascii with the latin1 device. It will not translate any latin1 text. The following table shows the translations performed: some parts of it may only be displayed properly when using GNU nroff's latin1(7) device.
    Beskrivelse | Oktal | latin1 | ascii
    continuation hyphen | 255 |  | -
    bullet (middle dot) | 267 | • | o
    acute accent | 264 | ´ | '
    multiplication sign | 327 | × | x
    If the latin1 column displays correctly, your terminal may be set up for latin1 characters and this option is not necessary. If the latin1 and ascii columns are identical, you are reading this page using this option or man did not format this page using the latin1 device description. If the latin1 column is missing or corrupt, you may need to view manual pages with this option. This option is ignored when using options -t, -H, -T, or -Z and may be useless for nroff other than GNU's.

-E kodning, --encoding=kodning
    Generate output for a character encoding other than the default. For backward compatibility, encoding may be an nroff device such as ascii, latin1, or utf8 as well as a true character encoding such as UTF-8.

--no-hyphenation, --nh
    Normally, nroff will automatically hyphenate text at line breaks even in words that do not contain hyphens, if it is necessary to do so to lay out words on a line without excessive spacing. This option disables automatic hyphenation, so words will only be hyphenated if they already contain hyphens. If you are writing a manual page and simply want to prevent nroff from hyphenating a word at an inappropriate point, do not use this option, but consult the nroff documentation instead; for instance, you can put "\%" inside a word to indicate that it may be hyphenated at that point, or put "\%" at the start of a word to prevent it from being hyphenated.

--no-justification, --nj
    Normally, nroff will automatically justify text to both margins. This option disables full justification, leaving justified only to the left margin, sometimes called "ragged-right" text. If you are writing a manual page and simply want to prevent nroff from justifying certain paragraphs, do not use this option, but consult the nroff documentation instead; for instance, you can use the ".na", ".nf", ".fi", and ".ad" requests to temporarily disable adjusting and filling.

-p streng, --preprocessor=streng
    Specify the sequence of preprocessors to run before nroff or troff/groff. Not all installations will have a full set of preprocessors. Some of the preprocessors and the letters used to designate them are: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). This option overrides the $MANROFFSEQ environment variable. zsoelim is always run as the very first preprocessor.

-t, --troff
    Brug groff -mandoc til at formatere manualsiden til standardud. Tilvalget er ikke krævet sammen med -H, -T eller -Z.

-T[enhed], --troff-device[=enhed]
    Denne indstilling bruges til at ændre groff-resultater (eller muligvis troff'er), så de er egnet for en enhed udover standarden. -t er underforstået. Eksempler (indeholdt med Groff-1.17) inkluderer dvi, latin1, ps, utf8, X75 og X100.

-H[browser], --html[=browser]
    This option will cause groff to produce HTML output, and will display that output in a web browser. The choice of browser is determined by the optional browser argument if one is provided, by the $BROWSER environment variable, or by a compile-time default if that is unset (usually lynx). This option implies -t, and will only work with GNU troff.

-X[dpi], --gxditview[=dpi]
    This option displays the output of groff in a graphical window using the gxditview program. The dpi (dots per inch) may be 75, 75-12, 100, or 100-12, defaulting to 75; the -12 variants use a 12-point base font. This option implies -T with the X75, X75-12, X100, or X100-12 device respectively.

-Z, --ditroff
    groff vil køre troff og så bruge en passende efterbrænder til at fremstille et resultat egnet for den valgte enhed. Hvis groff -mandoc er groff, så vil dette tilvalg sendes til groff og vil undertrykke brugen af en efterbrænder. -t er underforstået.

  Få hjælp

-?, --help
    Vis en hjælpebesked og afslut.

--usage
    Vis en kort hjælpebesked og afslut.

-V, --version
    Vis versionsinformation.

AFSLUT-STATUS

0   Programkørsel endt uden fejl.

1   Brugs-, syntaks- eller konfigurationsfilfejl.

2   Operationel fejl.

3   En underproces returnerede en afslutningsstatus forskellig fra nul.

16  Mindst en af siderne/filerne/nøgleordene fandtes ikke eller blev ikke matchet.

MILJØ

MANPATH
    If $MANPATH is set, its value is used as the path to search for manual pages.

MANROFFOPT
    Every time man invokes the formatter (nroff, troff, or groff), it adds the contents of $MANROFFOPT to the formatter's command line.

MANROFFSEQ
    If $MANROFFSEQ is set, its value is used to determine the set of preprocessors to pass each manual page through. The default preprocessor list is system dependent.

MANSECT
    If $MANSECT is set, its value is a colon-delimited list of sections and it is used to determine which manual sections to search and in what order. The default is "1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x", unless overridden by the SECTION directive in /etc/man_db.conf.

MANPAGER, PAGER
    If $MANPAGER or $PAGER is set ($MANPAGER is used in preference), its value is used as the name of the program used to display the manual page. By default, less is used, falling back to cat if less is not found or is not executable. The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

MANLESS
    If $MANLESS is set, its value will be used as the default prompt string for the less pager, as if it had been passed using the -r option (so any occurrences of the text $MAN_PN will be expanded in the same way). For example, if you want to set the prompt string unconditionally to “my prompt string”, set $MANLESS to ‘-Psmy prompt string’. Using the -r option overrides this environment variable.

BROWSER
    If $BROWSER is set, its value is a colon-delimited list of commands, each of which in turn is used to try to start a web browser for man --html. In each command, %s is replaced by a filename containing the HTML output from groff, %% is replaced by a single percent sign (%), and %c is replaced by a colon (:).

SYSTEM
    Hvis $SYSTEM er angivet, vil det have den samme effekt, som hvis den var blevet angivet som argument for tilvalget -m.

MANOPT
    If $MANOPT is set, it will be parsed prior to man's command line and is expected to be in a similar format. As all of the other man specific environment variables can be expressed as command line options, and are thus candidates for being included in $MANOPT it is expected that they will become obsolete. N.B. All spaces that should be interpreted as part of an option's argument must be escaped.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    Normally, when output is not being directed to a terminal (such as to a file or a pipe), formatting characters are discarded to make it easier to read the result without special tools. However, if $MAN_KEEP_FORMATTING is set to any non-empty value, these formatting characters are retained. This may be useful for wrappers around man that can interpret formatting characters.

MAN_KEEP_STDERR
    Normally, when output is being directed to a terminal (usually to a pager), any error output from the command used to produce formatted versions of manual pages is discarded to avoid interfering with the pager's display. Programs such as groff often produce relatively minor error messages about typographical problems such as poor alignment, which are unsightly and generally confusing when displayed along with the manual page. However, some users want to see them anyway, so, if $MAN_KEEP_STDERR is set to any non-empty value, error output will be displayed as usual.

LANG, LC_MESSAGES
    Afhængig af system og implementering, vil enten en af eller begge $LANG og $LC_MESSAGES blive spurgt for den aktuelle beskeds sprog. man vil vise dets beskeder i det sprog (hvis tilgængeligt). Se setlocale(3) for mere udførlige detaljer.

FILER

/etc/man_db.conf
    konfigurationsfil for man-db.

/usr/share/man
    Et globalt manualsidehierarki.

SE OGSÅ
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentation for some packages may be available in other formats, such as info(1) or HTML.

HISTORIK
1990, 1991 – oprindelig skrevet af John W. Eaton (jwe@che.utexas.edu). 23. dec 1992: Rik Faith (faith@cs.unc.edu) anvendte fejlrettelser af Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people. 30. oktober 1996 – 30. marts 2001: Fabrizio Polacco <fpolacco@debian.org> vedligeholdte og forberedte denne pakke for Debianprojektet med hjælp fra hele fællesskabet. 31. marts 2001 – til i dag: Colin Watson <cjwatson@debian.org> udvikler og vedligeholder nu man-db.